Package net.sourceforge.jiu.color.quantization

# Class RGBColorComparator

java.lang.Object
net.sourceforge.jiu.color.quantization.RGBColorComparator

All Implemented Interfaces:
  `RGBIndex`, `ComparatorInterface`

public class RGBColorComparator extends Object implements ComparatorInterface, RGBIndex
Compares two `RGBColor` objects.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`sortOrder`

### Fields inherited from interface net.sourceforge.jiu.data.RGBIndex

`INDEX_BLUE, INDEX_GREEN, INDEX_RED`

## Constructor Summary

Constructors
Constructor
Description
`RGBColorComparator(int aSortOrder)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object o1, Object o2)`
Compares the two argument objects and returns their relation.
`void`
`setSortOrder(int aSortOrder)`
Sets the internal sort order (it is sorted by one of the three RGB components) to the parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sortOrder

private int sortOrder

## Constructor Details

### RGBColorComparator

public RGBColorComparator(int aSortOrder)

## Method Details

### compare

public int compare(Object o1, Object o2)
Description copied from interface: `ComparatorInterface`
Compares the two argument objects and returns their relation. Returns

- a value < 0 if `o1` is smaller than `o2`,
- 0 if `o1` is equal to `o2` and
- a value > 0 if `o1` is greater than `o2`.

Specified by:
  `compare` in interface `ComparatorInterface`

### setSortOrder

public void setSortOrder(int aSortOrder)
Sets the internal sort order (it is sorted by one of the three RGB components) to the parameter.